#!/bin/bash
# ┌──────────────────────────────────────────────────────────┐
# │ Author: Bruno.Tosta                                      │
# │ Desc: Teste de conectividade com a SEFAZ                 │
# └──────────────────────────────────────────────────── 1.0 ─┘
echo '─ Testando webservices MG: ─────────────────────────'
for srv in nfe nfce; do
	openssl 's_client' \
		-connect "${srv}.fazenda.mg.gov.br:443" \
		-CApath '/etc/ssl/certs' 2>&1 \
			| grep -E 'CONNECTED|TLSv1'
done
